%define modname txws
%define capname txWS

Name:          python-txws
Version:       0.9.1
Release:       %mkrel 12
Summary:       Twisted WebSockets wrapper

Group:         Development/Python
License:       MIT
URL:           https://pypi.python.org/pypi/%{capname}
Source0:       https://pypi.io/packages/source/t/%{capname}/%{capname}-%{version}.tar.gz
Patch0:        python-txws-drop-vcversioner.patch

BuildArch:     noarch

%description
txWS (pronounced "Twisted WebSockets") is a small, short, simple library
for adding WebSockets server support to your favorite Twisted applications.

%package -n    python3-%{modname}
Summary:       Twisted WebSockets wrapper
Group:         Development/Python
BuildRequires: pkgconfig(python3)
BuildRequires:  python3-devel
BuildRequires: python3-twisted
%{?python_provide:%python_provide python3-%{modname}}

Requires:      python3-twisted

Obsoletes:     python-txws < 0.9.1-7
Provides:      python-txws = %{version}-%{release}

%description -n python3-%{modname}
txWS (pronounced "Twisted WebSockets") is a small, short, simple library
for adding WebSockets server support to your favorite Twisted applications.

%prep
%setup -q -n %{capname}-%{version}
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files txws


%files -n python3-%{modname} -f %{pyproject_files}
%doc README.rst



%changelog
* Tue Feb 27 2024 papoteur <papoteur> 0.9.1-12.mga10
+ Revision: 2044589
- rebuild for python 3.12

* Fri Mar 25 2022 umeabot <umeabot> 0.9.1-11.mga9
+ Revision: 1825617
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 0.9.1-10.mga9
+ Revision: 1781452
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.9.1-9.mga9
+ Revision: 1732540
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.9.1-8.mga8
+ Revision: 1533986
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 0.9.1-7.mga8
+ Revision: 1446544
- port to python 3

* Wed Sep 19 2018 umeabot <umeabot> 0.9.1-6.mga7
+ Revision: 1274851
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.9.1-5.mga6
+ Revision: 940723
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-4.mga5
+ Revision: 744998
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.1-3.mga5
+ Revision: 729952
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-2.mga5
+ Revision: 688399
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 philippem <philippem> 0.9.1-1.mga5
+ Revision: 669666
- update to 0.9.1

* Tue Jun 24 2014 philippem <philippem> 0.9-1.mga5
+ Revision: 639340
- update python-txws-drop-vcversioner.patch
- update to 0.9
+ pterjan <pterjan>
- Rebuild for new Python

* Mon Feb 24 2014 philippem <philippem> 0.8-1.mga5
+ Revision: 596600
- imported package python-txws

